Summary:	A svn plugin for Thunar file manager
Summary(de):	Eine SVN-Erweiterung für den Thunar Dateimanager
Name:		thunar-vcs-plugin
Version:	0.2.0
Release:	%mkrel 10
License:	GPLv2+
Group:		Graphical desktop/XFCE
Url:		https://github.com/andreldm/thunar-vcs-plugin.git
Source0:	http://goodies.xfce.org/releases/thunar-svn-plugin/%{name}-%{version}.tar.xz

BuildRequires:  git-devel
BuildRequires:	 lib64glib2.0-devel
BuildRequires:	 lib64gtk+3.0-devel
BuildRequires:	 lib64exo-devel
BuildRequires:	 lib64thunarx-devel
BuildRequires:	lib64xfce4util-devel

Provides:	%{name} = %{version}-%{release}
Obsoletes:	%name
Requires:	thunar
Requires:	git
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Thunar VCS Plugin provides a svn and git intergration to Thunar. 
It allows you to do most of the svn and git actions from the context menu. 
It also shows the svn file status in the file properties window.

%description -l de 
Das Thunar VCS Plugin bietet eine svn und git Integration in Thunar.
Es erlaubt Ihnen die meist genutzten Aktionen für svn und git aus dem Kontextmenü
aufzurufen. Ebenso zeigt es den svn Dateistatus im Dateieigenschaftenfenster an.

%prep
%setup -q



%build
sed -i s/"git])"/"])"/g configure.ac.in
./autogen.sh --enable-maintainer-mode --disable-debug

%configure2_5x --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/libexec \
	--disable-static \
	--enable-git

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

%post
/sbin/ldconfig
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%clean_menus &> /dev/null ||:''
%clean_desktop_database &> /dev/null ||:''
%clean_mime_database &> /dev/null ||:''
%clean_icon_cache hicolor

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_iconsdir}/hicolor/*/apps/*.png
%{_libdir}/*
%{_datadir}/locale/*
%{_libexecdir}/tvp-git-helper

%changelog
* Mon Aug 22 2022 tex - 0.2.0-10pclos2022
- fix RPM Group

* Fri Nov 22 2019 tex - 0.2.0-9pclos2019
- rebuild against updates
